package com.keao.alimeeting.widget;

/**
 * Created by Ivan on 2016/10/25.
 */

public interface PageLayoutManager {


    interface OnPageChangeListener {

        void onPageSelected(int page);

        void onPageCountChanged(int count);

    }

    /**
     * @param velocityX
     * @param velocityY
     * @return the resultant position from a fling of the given velocity.
     */
    int getPositionForVelocity(int velocityX, int velocityY);

    /**
     * @return the position this list must scroll to to fix a state where the
     * views are not snapped to grid.
     */
    int getFixScrollPos();

    void setOnPageChangeListener(OnPageChangeListener listener);

    int getCurrentPage();

    int getTotalPage();

}
