import 'dart:async';

import 'package:flutter/services.dart';

class Alimeeting {
  static const MethodChannel _channel = const MethodChannel('alimeeting');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static void meeting({
    String wsToken,
    String memberUuid,
    String meetingId,
    String userId,
    String wsDomain,
    String clientAppId,
    bool closeCamera,
    bool muteAudio,
    bool disableVideo,
  }) {
    _channel.invokeMethod('meeting', {
      "wsDomain": wsDomain,
      "wsToken": wsToken,
      "memberUuid": memberUuid,
      "userId": userId,
      "meetingId": meetingId,
      "clientAppId": clientAppId,
      "closeCamera": closeCamera,
      "muteAudio": muteAudio,
      "muteAudio": muteAudio,
      "disableVideo": disableVideo,
    });
  }
}
